--- title: "Put Trigger" slug: "compute-cloudfunctions-puttrigger" tags: ["Cloud Functions"] updated: 2026-09-17T10:05:57Z published: 2026-09-17T10:05:57Z canonical: "api.ncloud-docs.com/compute-cloudfunctions-puttrigger" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Put Trigger Available in Classic and VPC Create or edit a Cloud Functions trigger. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | PUT | /api/v2/triggers/{triggerName} | Note Singapore and Japan Regions are available only in the VPC environment. ### Request headers For information about the headers common to all Cloud Functions APIs, see [Cloud Functions request headers](/docs/en/compute-cloudfunctions#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `triggerName` | String | Required | Trigger name - Enter 1-50 characters, including English letters, numbers, and special characters "-" and "_". - It can't start with "-". - It can't be duplicated with other resource (package, action, trigger) names. | ### Request query parameters The following describes the parameters. | Field | Type | Required | Description | | --- | --- | --- | --- | | `platform` | String | Optional | Platform type - `vpc` \| `classic` (default) | | `type` | String | Required | Trigger type - `cron` \| `github` \| `insight` \| `object_storage` \| `source_commit` - Can't be changed after creation | ### Request body You can include the following data in the body of your request: #### cron trigger The following describes the request body for cron triggers. | Field | Type | Required | Description | | --- | --- | --- | --- | | `trigger` | Object | Required | Information of the trigger | | `trigger.description` | String | Optional | Trigger description (byte) - 0-3000 | | `trigger.cronOption` | String | Required | cron execution option - See [cron trigger (VPC)](https://guide.ncloud-docs.com/docs/en/cloudfunctions-cron-vpc) and [cron trigger (Classic)](https://guide.ncloud-docs.com/docs/en/cloudfunctions-cron-classic). | | `trigger.parameters` | Object | Optional | Default parameters of the trigger - JSON in the form of `{"key": "value"}` - Priority of applying parameters when running triggers - 1st priority: Runtime parameters passed at runtime - 2nd priority: Default parameters of connected triggers - 3rd priority: Default parameters in actions - 4th priority: Default parameters of included packages | #### GitHub trigger The following describes the request body for GitHub triggers. | Field | Type | Required | Description | | --- | --- | --- | --- | | `trigger` | Object | Required | Information of the trigger | | `trigger.description` | String | Optional | Trigger description - 0-3000 bytes | | `trigger.parameters` | Object | Optional | Default parameters of the trigger - JSON in the form of `{"key": "value"}` - Priority of applying parameters when running triggers - 1st priority: Runtime parameters passed at runtime - 2nd priority: Default parameters of connected triggers - 3rd priority: Default parameters in actions - 4th priority: Default parameters of included packages | | `trigger.credentials.username` | String | Required | GitHub username | | `trigger.credentials.accessToken` | String | Required | GitHub access token | | `trigger.credentials.repository` | String | Required | GitHub repository - Enter the repository name or in the format `organization/repository name`. | | `trigger.events` | Array | Required | Event to trigger - `*` \| `check_run` \| `check_suite` \| `commit_comment` \| `create` \| `delete` \| `deployment` \| `deployment_status` \| `fork` \| `gollum` \| `issue_comment` \| `issues` \| `label` \| `member` \| `milestone` \| `page_build` \| `project_card` \| `project_column` \| `project` \| `public` \| `pull_request_review_comment` \| `pull_request_review_thread` \| `pull_request_review` \| `pull_request` \| `push` \| `repository` \| `repository_import` \| `repository_vulnerability_alert` \| `release` \| `status` \| `team_add` \| `watch` \| `branch_protection_rule` \| `code_scanning_alert` \| `deploy_key` \| `discussion_comment` \| `discussion` \| `meta` \| `package` \| `registry_package` \| `secret_scanning_alert_location` \| `secret_scanning_alert` \| `security_and_analysis` \| `star` \| `workflow_job` \| `workflow_run` | | `link` | Object | Conditional | API Gateway information - Valid only when creating a trigger and required | | `link.productId` | String | Conditional | API Gateway's product ID | | `link.apiName` | String | Conditional | API Gateway API name | | `link.stageName` | String | Conditional | API Gateway's stage name | #### Cloud Insight trigger The following describes the request body for Cloud Insight triggers. | Field | Type | Required | Description | | --- | --- | --- | --- | | `trigger` | Object | Required | Information of the trigger | | `trigger.description` | String | Optional | Trigger description (byte) - 0-3000 | | `trigger.parameters` | Object | Optional | Default parameters of the trigger - JSON in the form of `{"key": "value"}` - Priority of applying parameters when running triggers - 1st priority: Runtime parameters passed at runtime - 2nd priority: Default parameters of connected triggers - 3rd priority: Default parameters in actions - 4th priority: Default parameters of included packages | | `trigger.insightLink` | Array | Required | Cloud Insight information: [insightLink](/docs/en/compute-cloudfunctions-puttrigger#insightLink) | #### `insightLink` The following describes `insightLink`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `prodKey` | String | Required | Cloud Insight event rule's prodKey | | `ruleGrpId` | String | Required | Cloud Insight event rule's ruleGrpId | | `reminderTime` | Integer | Optional | Cloud Insight event rule's reminder notification frequency (minute) - 5-720 | | `enableNotiWhenEventClose` | Boolean | Optional | Whether to call Cloud Insight event rules at the end of an event - `true` \| `false` (default) | #### Object Storage trigger The following describes the request body for Object Storage triggers. Caution If an action attached to an Object Storage trigger uses the same bucket as an Object Storage event rule, recursive calls can result in increased usage and excessive costs. | Field | Type | Required | Description | | --- | --- | --- | --- | | `trigger` | Object | Required | Information of the trigger | | `trigger.description` | String | Optional | Trigger description (byte) - 0-3000 | | `trigger.parameters` | Object | Optional | Default parameters of the trigger - JSON in the form of `{"key": "value"}` - Priority of applying parameters when running triggers - 1st priority: Runtime parameters passed at runtime - 2nd priority: Default parameters of connected triggers - 3rd priority: Default parameters in actions - 4th priority: Default parameters of included packages | | `trigger.objectStorageLink` | Object[] | Required | Object Storage information: [objectStorageLink](/docs/en/compute-cloudfunctions-puttrigger#objectStorageLink) | #### `objectStorageLink` The following describes `objectStorageLink`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `bucketName` | String | Required | Object Storage's bucket name | | `eventRuleName` | String | Required | Object Storage's event rule name | #### SourceCommit trigger The following describes the request body for creating or editing SourceCommit triggers. Note SourceCommit triggers are supported only on the VPC platform of the Korea Region. | Field | Type | Required | Description | | --- | --- | --- | --- | | `trigger` | Object | Required | Information of the trigger | | `trigger.description` | String | Optional | Trigger description (byte) - 0-3000 | | `trigger.parameters` | Object | Optional | Default parameters of the trigger - JSON in the form of `{"key": "value"}` - Priority of applying parameters when running triggers - 1st priority: Runtime parameters passed at runtime - 2nd priority: Default parameters of connected triggers - 3rd priority: Default parameters in actions - 4th priority: Default parameters of included packages | | `trigger.sourceCommitLink` | Object[] | Required | SourceCommit information: [sourceCommitLink](/docs/en/compute-cloudfunctions-puttrigger#sourceCommitLink) | #### `sourceCommitLink` The following describes `sourceCommitLink`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `enable` | Boolean | Optional | Webhook activation status of SourceCommit - `true` (default) \| `false` | | `repositoryName` | String | Required | SourceCommit repository name | | `webhookName` | String | Required | SourceCommit webhook name | ### Request example The request example is as follows: ``` curl --location --request PUT 'https://cloudfunctions.apigw.ntruss.com/api/v2/triggers/trigger002?platform=vpc' \ --header 'Content-Type: application/json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --data '{ "trigger": { "description": "cron Trigger", "cronOption": "0 10 * * *", "parameters": { } } }' ``` ## Response This section describes the response format. ### Response body The following describes the response body for requested triggers. #### Cron trigger The following describes the response body for Cron triggers. | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Object | - | Trigger creation and modification information | | `content.cronOptions` | String | - | Trigger cron execution option | | `content.description` | String | - | Trigger description | | `content.name` | String | - | Trigger name | | `content.namespace` | String | - | Namespace of the user | | `content.parameters` | Object | - | Default parameters of the trigger | | `content.resourceId` | String | - | Trigger's resource ID | | `content.rules` | String | - | Trigger action connection information | | `content.triggerType` | String | - | Trigger type | #### GitHub trigger The following describes the response body for GitHub triggers. | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Object | - | Trigger creation and modification information | | `content.credentials` | Object | - | Trigger GitHub integration information | | `content.description` | String | - | Trigger description | | `content.events` | String | - | Trigger's execution GitHub event option | | `content.name` | String | - | Trigger name | | `content.namespace` | String | - | Namespace of the user | | `content.parameters` | Object | - | Default parameters of the trigger | | `content.resourceId` | String | - | Trigger's resource ID | | `content.rules` | String | - | Trigger action connection information | | `link.stageName` | String | - | Trigger type | #### Cloud Insight trigger The following describes the response body for Cloud Insight triggers. | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Object | - | Trigger creation and modification information | | `content.description` | String | - | Trigger description | | `content.name` | String | - | Trigger name | | `content.namespace` | String | - | Namespace of the user | | `content.parameters` | Object | - | Default parameters of the trigger | | `content.insightLink` | Array | - | Event rule information of the connected Cloud Insight: [insightLink](/docs/en/compute-cloudfunctions-puttrigger#insightLink1) | | `content.resourceId` | String | - | Trigger's resource ID | | `content.rules` | String | - | Trigger action connection information | | `content.triggerType` | String | - | Trigger type | #### `insightLink` The following describes `insightLink`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `prodKey` | String | - | Cloud Insight event rule's prodKey | | `ruleGrpId` | String | - | Cloud Insight event rule's groupId | | `reminderTime` | Integer | - | Cloud Insight event rule's reminder notification frequency (minute) | | `enableNotiWhenEventClose` | Boolean | - | Whether to call Cloud Insight event rules at the end of an event | #### Object Storage trigger The following describes the response body for Object Storage triggers. | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Object | - | Trigger creation and modification information | | `content.description` | String | - | Trigger description | | `content.name` | String | - | Trigger name | | `content.namespace` | String | - | Namespace of the user | | `content.parameters` | Object | - | Default parameters of the trigger | | `content.objectStorageLink` | Array | - | Event rule information of the connected Object Storage: [objectStorageLink](/docs/en/compute-cloudfunctions-puttrigger#objectStorageLink1) | | `content.resourceId` | String | - | Trigger's resource ID | | `content.rules` | String | - | Trigger action connection information | | `content.triggerType` | String | - | Trigger type | #### `objectStorageLink` The following describes `objectStorageLink`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `bucketName` | String | Object Storage event rule's bucket name | | | `eventRuleName` | String | Object Storage event rule name | | #### SourceCommit trigger The following describes the response body for SourceCommit triggers. | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Object | - | Trigger creation and modification information | | `content.description` | String | - | Trigger description | | `content.name` | String | - | Trigger name | | `content.namespace` | String | - | Namespace of the user | | `content.parameters` | Object | - | Default parameters of the trigger | | `content.sourceCommitLink` | Array | - | Repository information of the connected SourceCommit: [sourceCommitLink](/docs/en/compute-cloudfunctions-puttrigger#sourceCommitLink1) | | `content.resourceId` | String | - | Trigger's resource ID | | `content.rules` | String | - | Trigger action connection information | | `content.triggerType` | String | - | Trigger type | #### `sourceCommitLink` The following describes `sourceCommitLink`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `enable` | Boolean | - | SourceCommit webhook activation status | | `repositoryName` | String | - | SourceCommit repository name | | `webhookName` | String | - | SourceCommit webhook name | ### Response status codes For information about the HTTP status codes common to NAVER Cloud Platform, see [Ncloud API response status codes](/docs/en/common-ncpapi#3%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": { "cronOption": "0 10 * * *", "description": "cron Trigger", "limits": {}, "name": "trigger002", "namespace": "****YBNz****", "parameters": {}, "resourceId": "Nu3**", "rules": {}, "triggerType": "Cron" } } ```